rte_event_eth_rx_adapter_queue_stats(3)

NAME
rte_event_eth_rx_adapter_queue_stats

SYNOPSIS

#include <rte_event_eth_rx_adapter.h>

  Data Fields

uint64_t rx_event_buf_count
uint64_t rx_event_buf_size
uint64_t rx_poll_count
uint64_t rx_packets
uint64_t rx_dropped

Detailed Description

A structure used to retrieve statistics for an eth rx adapter queue.

Definition at line 222 of file rte_event_eth_rx_adapter.h.

Field Documentation

  uint64_t rx_event_buf_count
Rx event buffered count

Definition at line 223 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_event_buf_size
Rx event buffer size

Definition at line 225 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_poll_count
Receive queue poll count

Definition at line 227 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_packets
Received packet count

Definition at line 229 of file rte_event_eth_rx_adapter.h.

  uint64_t rx_dropped
Received packet dropped count

Definition at line 231 of file rte_event_eth_rx_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.